/* Generated by wayland-scanner 1.11.92 */

#ifndef LOCK_CLIENT_PROTOCOL_H
#define LOCK_CLIENT_PROTOCOL_H

#include <stdint.h>
#include <stddef.h>
#include "wayland-client.h"

#ifdef  __cplusplus
extern "C" {
#endif

/**
 * @page page_lock The lock protocol
 * @section page_ifaces_lock Interfaces
 * - @subpage page_iface_lock - create lock screen UIs
 */
struct lock;
struct wl_output;
struct wl_surface;

/**
 * @page page_iface_lock lock
 * @section page_iface_lock_desc Description
 *
 * The Weston desktop-shell protocol's locking functionality depends more
 * on the behavior of the compositor than of a screen locking client, so
 * another protocol is necessary.
 * @section page_iface_lock_api API
 * See @ref iface_lock.
 */
/**
 * @defgroup iface_lock The lock interface
 *
 * The Weston desktop-shell protocol's locking functionality depends more
 * on the behavior of the compositor than of a screen locking client, so
 * another protocol is necessary.
 */
extern const struct wl_interface lock_interface;

#define LOCK_SET_LOCK_SURFACE 0
#define LOCK_UNLOCK 1


/**
 * @ingroup iface_lock
 */
#define LOCK_SET_LOCK_SURFACE_SINCE_VERSION 1
/**
 * @ingroup iface_lock
 */
#define LOCK_UNLOCK_SINCE_VERSION 1

/** @ingroup iface_lock */
static inline void
lock_set_user_data(struct lock *lock, void *user_data)
{
	wl_proxy_set_user_data((struct wl_proxy *) lock, user_data);
}

/** @ingroup iface_lock */
static inline void *
lock_get_user_data(struct lock *lock)
{
	return wl_proxy_get_user_data((struct wl_proxy *) lock);
}

static inline uint32_t
lock_get_version(struct lock *lock)
{
	return wl_proxy_get_version((struct wl_proxy *) lock);
}

/** @ingroup iface_lock */
static inline void
lock_destroy(struct lock *lock)
{
	wl_proxy_destroy((struct wl_proxy *) lock);
}

/**
 * @ingroup iface_lock
 */
static inline void
lock_set_lock_surface(struct lock *lock, struct wl_output *output, struct wl_surface *surface)
{
	wl_proxy_marshal((struct wl_proxy *) lock,
			 LOCK_SET_LOCK_SURFACE, output, surface);
}

/**
 * @ingroup iface_lock
 */
static inline void
lock_unlock(struct lock *lock)
{
	wl_proxy_marshal((struct wl_proxy *) lock,
			 LOCK_UNLOCK);
}

#ifdef  __cplusplus
}
#endif

#endif
