/* Generated by wayland-scanner 1.11.92 */

#ifndef LOCK_SERVER_PROTOCOL_H
#define LOCK_SERVER_PROTOCOL_H

#include <stdint.h>
#include <stddef.h>
#include "wayland-server.h"

#ifdef  __cplusplus
extern "C" {
#endif

struct wl_client;
struct wl_resource;

/**
 * @page page_lock The lock protocol
 * @section page_ifaces_lock Interfaces
 * - @subpage page_iface_lock - create lock screen UIs
 */
struct lock;
struct wl_output;
struct wl_surface;

/**
 * @page page_iface_lock lock
 * @section page_iface_lock_desc Description
 *
 * The Weston desktop-shell protocol's locking functionality depends more
 * on the behavior of the compositor than of a screen locking client, so
 * another protocol is necessary.
 * @section page_iface_lock_api API
 * See @ref iface_lock.
 */
/**
 * @defgroup iface_lock The lock interface
 *
 * The Weston desktop-shell protocol's locking functionality depends more
 * on the behavior of the compositor than of a screen locking client, so
 * another protocol is necessary.
 */
extern const struct wl_interface lock_interface;

/**
 * @ingroup iface_lock
 * @struct lock_interface
 */
struct lock_interface {
	/**
	 */
	void (*set_lock_surface)(struct wl_client *client,
				 struct wl_resource *resource,
				 struct wl_resource *output,
				 struct wl_resource *surface);
	/**
	 */
	void (*unlock)(struct wl_client *client,
		       struct wl_resource *resource);
};


/**
 * @ingroup iface_lock
 */
#define LOCK_SET_LOCK_SURFACE_SINCE_VERSION 1
/**
 * @ingroup iface_lock
 */
#define LOCK_UNLOCK_SINCE_VERSION 1

#ifdef  __cplusplus
}
#endif

#endif
